/**
 * Copyright (c) 2005 - Lehigh University. Bethlehem, PA, USA.
 * All rights reserved.
 * This source code is a part of MARCHES Project. 
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice, the following
 * two paragraphs, and the author attribution appear in all copies of this
 * software.
 *
 * IN NO EVENT SHALL LEHIGH UNIVERSITY BE LIABLE TO ANY PARTY FOR DIRECT, 
 * INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF LEHIGH
 * UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *	
 * LEHIGH UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, 
 * AND LEHIGH UNIVERSITY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, 
 * SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 **/


////////////////////////////////////////////////////////////////////////////////
// RemoteView.cpp : implementation file
//

#include "stdafx.h"
#include "AwareDllTest.h"
#include "AwareDllTestDoc.h"
#include "RemoteView.h"

// CRemoteView

IMPLEMENT_DYNCREATE(CRemoteView, CView)

CRemoteView::CRemoteView()
{

}

CRemoteView::~CRemoteView()
{
}

BEGIN_MESSAGE_MAP(CRemoteView, CView)
	ON_WM_SIZE()
END_MESSAGE_MAP()


// CRemoteView drawing

void CRemoteView::OnDraw(CDC* pDC)
{
	CDocument* pDoc = GetDocument();
	// TODO: add draw code here
}


// CRemoteView diagnostics

#ifdef _DEBUG
void CRemoteView::AssertValid() const
{
	CView::AssertValid();
}

#ifndef _WIN32_WCE
void CRemoteView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}
#endif
#endif //_DEBUG


// CRemoteView message handlers

void CRemoteView::OnSize(UINT nType, int cx, int cy)
{
	CView::OnSize(nType, cx, cy);

	// TODO: Add your message handler code here
	CAwareDllTestDoc * pDoc = (CAwareDllTestDoc *)GetDocument();

	if (pDoc->pdcEngine != NULL) {
		pDoc->pdcEngine->SetAppParam("Display", DISP_APP_PARA_DISPWIDTH, (void *)&cx);
		pDoc->pdcEngine->SetAppParam("Display", DISP_APP_PARA_DISPHEIGHT, (void *)&cy);
	}
}
