// DCTestAppDlg.h : header file
//

#pragma once

#include "..\..\Source\DCEngine.h"
#include "afxwin.h"

// CDCTestAppDlg dialog
class CDCTestAppDlg : public CDialog
{
// Construction
public:
	CDCTestAppDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DCTESTAPP_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
	CDCEngine *pdcEngine;
	afx_msg LRESULT OnReceiveAction(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnActionDoneAction(WPARAM wParam, LPARAM lParam);
// End Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtnStart();
public:
	afx_msg void OnBnClickedBtnStop();
public:
	afx_msg void OnBnClickedBtnClear();
public:
	afx_msg void OnDestroy();
public:
	CEdit m_ctlEditOutput;
public:
	CString m_strEditOutput;
public:
	CButton m_ctlBtnProc;
public:
	int m_nEditInput;
public:
	int m_nEditOutput;
public:
	afx_msg void OnBnClickedBtnProcess();
public:
	CEdit m_ctlEditActOutput;
};
