#include "Send.h"


BOOL APIENTRY DllMain( HANDLE hModule, DWORD  ul_reason_for_call, LPVOID lpReserved)
{
	switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH: break;
   }
   return TRUE;
}

CSend::CSend(void)
{
	m_nInitialValue = 0;
	input_data		= NULL;
	input_length	= 0;
	output_data		= NULL;
	output_length	= 0;
}

CSend::~CSend(void)
{
	m_nInitialValue = 0;
	input_data		= NULL;
	input_length	= 0;
	if (output_data	!= NULL && output_length > 0) {
		free(output_data);
		output_length = 0;
	}
}

bool CSend::setparam(char * key, char * value)
{
	if (strcmp(key, "Increment") == 0) {
		m_nInitialValue = atoi(value);
	}
	else if (strcmp(key, "Decrement") == 0) {
		m_nInitialValue = 0 - atoi(value);
	}
	else return false;
	return true;
}

bool CSend::start()
{
	if (output_data == NULL && output_length > 0) free(output_data);
	output_length	= sizeof(int);
	output_data		= malloc(output_length);
	*((int *)output_data) = *((int *)input_data) + m_nInitialValue;
	return true;
}

bool CSend::stop()
{
	return true;
}

CSend * GetThisComponent(void)
{
	return new CSend();
}