/********************************************************
CEvent Conditioner
This class descripe the conditioner in aware event. It is
the parent class of boolean conditioner and comapre conditioner.
boolean conditioner is used in the compositional event, 
and compare conditioner is used in the simple event.
********************************************************/

#pragma once

#include "EventSource.h"

#define MAX_VALUE_SIZE 1024

class CEventConditioner
{
public:
	CEventConditioner(void);
public:
	virtual ~CEventConditioner(void);

public:
	enum CONDTYPE {BIGGER=0, BETWEEN, BESIDE, SMALLER, AND, OR};
	enum THREADSTATUS {CLOSED=0, CLOSING, RUNNING};

	virtual void SetType(CONDTYPE type) {return;}
	virtual HANDLE GetCondtEvent(CEventSource::SOURCETYPE type) {return NULL;}
	virtual void SetEventSource(CEventSource::SOURCETYPE type, CEventSource * pSrc) {return;}
	virtual void Start() {return;}
	virtual void Stop() {return;}
	virtual bool GetCondtResult(bool bFormat = false) {return false;}

	void SetEventListener(HANDLE hLis);

protected:
	HANDLE	m_hListenerEvent;
};

typedef CEventConditioner * CEventConditionerPtr;