/********************************************************
CEventLister
This class descripe the listener in aware event. It could
be the actuator or the upper layer compositional event.
If the listener registers itself to the event, the conditioner
of the event would notify the listener if the condition
is suffied.
********************************************************/

#pragma once

class CAwareEvent;

class CEventListener
{
	friend class CAwareEvent;
public:
	CEventListener(void);
public:
	virtual ~CEventListener(void);

public:
	enum THREADSTATUS {CLOSED=0, CLOSING, RUNNING};

	virtual void Start(){return;}
	virtual void Stop() {return;}

protected:
	HANDLE m_hConditionerEvent;
};

typedef CEventListener * CEventListenerPtr;