/********************************************************
Event Source
This class descripe the source in aware event. event source
provides data to conditioner. It is the parent class of 
aware source and event. 
event is the source used in the compositional event,
and aware source is used in the simple event.
********************************************************/

#pragma once

#define THREAD_TERMINATION_MAXWAIT 3

class CEventSource
{
public:
	CEventSource(void);
public:
	virtual ~CEventSource(void);

public:
	enum SOURCETYPE {LEFTSOURCE=0, RIGHTSOURCE, AWARESOURCE};
	enum THREADSTATUS {CLOSED=0, CLOSING, RUNNING};
	enum SOURCEDATATYPE {
		AWARE_INTEGER = 0,
		AWARE_DOUBLE,
		AWARE_BOOLEAN,
		AWARE_STRING
	};

public:
	virtual bool GetValue(char *value, int *len) {return false;}
	virtual void SetNotifier(HANDLE hNotifier) {return;}
	virtual void Start() {return;}
	virtual void Stop() {return;}
};

typedef CEventSource * CEventSourcePtr;