/*********************************************************
Simple Event.
This is a kind of aware event that has one event source,
which is a aware source that get the data from awareness
tools directly, and it is inherited from aware event. 
Compsitional event contains a compare conditioner and only
one source that is a aware source.
The listener of the compositional event could be acutator 
or upper layer conditioner.
*********************************************************/

#pragma once
#include "awareevent.h"

class CSimpleEvent :
	public CAwareEvent
{
public:
	CSimpleEvent(void);
public:
	~CSimpleEvent(void);

public:
	virtual void SetSource(SOURCETYPE type, CEventSource * pSrc);
	virtual void SetConditioner(CEventConditioner * pCond);
	virtual void SetListener(HANDLE pEvent);
	virtual void Start();
	virtual void Stop();

public:
	CEventSource * m_pSrc;
};
