/**
 * Copyright (c) 2005 - Lehigh University. Bethlehem, PA, USA.
 * All rights reserved.
 * This source code is a part of MARCHES Project. 
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice, the following
 * two paragraphs, and the author attribution appear in all copies of this
 * software.
 *
 * IN NO EVENT SHALL LEHIGH UNIVERSITY BE LIABLE TO ANY PARTY FOR DIRECT, 
 * INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF LEHIGH
 * UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *	
 * LEHIGH UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, 
 * AND LEHIGH UNIVERSITY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, 
 * SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 **/


////////////////////////////////////////////////////////////////////////////////
// DlgConnectTo.cpp : implementation file
//

#include "stdafx.h"
#include "AwareDllTest.h"
#include "DlgConnectTo.h"


// CDlgConnectTo dialog

IMPLEMENT_DYNAMIC(CDlgConnectTo, CDialog)

CDlgConnectTo::CDlgConnectTo(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgConnectTo::IDD, pParent)
	, m_strIPAddr(_T(""))
{

}

CDlgConnectTo::~CDlgConnectTo()
{
}

void CDlgConnectTo::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT1, m_strIPAddr);
}


BEGIN_MESSAGE_MAP(CDlgConnectTo, CDialog)
	ON_BN_CLICKED(IDOK, &CDlgConnectTo::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CDlgConnectTo::OnBnClickedCancel)
END_MESSAGE_MAP()


// CDlgConnectTo message handlers

void CDlgConnectTo::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here
	OnOK();
}

void CDlgConnectTo::OnBnClickedCancel()
{
	// TODO: Add your control notification handler code here
	OnCancel();
}
